BackButton.prototype = Object.create(BasicButton.prototype);
BackButton.constructor = BackButton;

function BackButton(clickEvent) {
	var setting = new ButtonSetting(40, MainMenu.MAIN_MENU_HEIGHT / 2, 60, 60);
	setting.setStrokeWidth(3);
	setting.setRound(30);
	setting.setFont("Nanum Gothic Coding");
	setting.setStrokeColor(
		BackButton.STROKE_COLOR_OUT_HEX,
		BackButton.STROKE_COLOR_OVER_HEX,
		BackButton.STROKE_COLOR_DOWN_HEX,
		BackButton.STROKE_COLOR_DISABLED_HEX
	);
	setting.setButtonColor(
		BackButton.BUTTON_COLOR_OUT_HEX,
		BackButton.BUTTON_COLOR_OVER_HEX,
		BackButton.BUTTON_COLOR_DOWN_HEX,
		BackButton.BUTTON_COLOR_DISABLED_HEX
	);
	setting.setIconColor(
		BackButton.STROKE_COLOR_OUT_HEX,
		BackButton.STROKE_COLOR_OVER_HEX,
		BackButton.STROKE_COLOR_DOWN_HEX,
		BackButton.STROKE_COLOR_DISABLED_HEX
	);
	setting.setTextColor(
		BackButton.TEXT_COLOR_OUT_HEX,
		BackButton.TEXT_COLOR_OVER_HEX,
		BackButton.TEXT_COLOR_DOWN_HEX,
		BackButton.TEXT_COLOR_DISABLED_HEX
	);


	BasicButton.call(this, setting, clickEvent);

	this.addIcon("home");
	this.setIconSize(30);
	this.setShortcutText("[ESC]");
}


BackButton.STROKE_COLOR_OUT_HEX			= 0xAA6666;
BackButton.STROKE_COLOR_OVER_HEX		= 0x884444;
BackButton.STROKE_COLOR_DOWN_HEX		= 0x884444;
BackButton.STROKE_COLOR_DISABLED_HEX	= 0x333333;

BackButton.BUTTON_COLOR_OUT_HEX			= 0xffdddd;
BackButton.BUTTON_COLOR_OVER_HEX		= 0xddaaaa;
BackButton.BUTTON_COLOR_DOWN_HEX		= 0xddaaaa;
BackButton.BUTTON_COLOR_DISABLED_HEX	= 0x666666;

BackButton.TEXT_COLOR_OUT_HEX			= "#aa6666";
BackButton.TEXT_COLOR_OVER_HEX			= "#884444";
BackButton.TEXT_COLOR_DOWN_HEX			= "#884444";
BackButton.TEXT_COLOR_DISABLED_HEX		= "#333333";